/*
 * exempi - xmpvalue.h
 *
 * Copyright (C) 2007 Hubert Figuiere
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, 
 * USA
 */

#include <iostream>

#include "xmpvalue.h"

namespace Exempi {

	const char * XmpValue::getField(const char *field)
	{
		if (type != XMP_VALUE_TYPE_STRUCTURE) {
			return NULL;
		}
		try {
			const Structure & s = boost::any_cast<const Structure &>(value);
			Structure::const_iterator iter = s.find(field);
			if (iter != s.end()) {
				return iter->second.c_str();
			}
		}
		catch(const boost::bad_any_cast &) {
		}
		return NULL;
	}
}
